<?php
namespace REDO\Widgets;
use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit;

class Projekty extends Widget_Base {

   public function get_name() {
      return 'projekty';
   }

   public function get_title() {
      return __( 'Projekty' );
   }

   public function get_icon() {
      return 'fa fa-eye';
   }

   public function get_categories(){
      return ['general'];
   }
   protected function _register_controls() {
      $this->start_controls_section(
         'section_content',
         [
           'label' => 'Settings',
         ]
       );
       $this->add_control(
         'projekty',
         [
           'label' => 'Projekty',
           'type' => \Elementor\Controls_Manager::HEADING,
           'default' => 'Display projects'
         ]
       );

   
       $this->end_controls_section();
     }
     
   
     protected function render(){
      
      $args = array(
         'post_type' => 'projekty',
         'posts_per_page' => -1,
         'orderby' => 'date'
     );
     $terms = get_terms( array(
        'taxonomy' => 'typ_projektu',
        'hide_empty' => false,
      ) );
     $projekty = new \WP_Query($args);
?>

         <!-- HTML DESIGN HERE -->
      <div class="portfolio-container">
          <?php if(!empty($terms)) :
            foreach ($terms as $term) : ?>
                <div class="term-container">
                  <h3><span class="after-line"><?php echo $term->name ?></span></h3>
            <?php if(!empty($term->description)) :?><p><?php echo $term->description ?></p><?php endif;?>
                  <div class="projekty-container">
                  <?php 
                    $projekty = get_posts(array(
                      'post_type' => 'projekty',
                      'numberposts'   => -1,
                      'orderby' => 'date',
                      'tax_query' => array(
                        array(
                          'taxonomy' => 'typ_projektu',
                          'field' => 'slug',
                          'terms' => $term->slug,
                          'operator' => 'IN'
                          )
                      ),
                    ));
                  foreach($projekty as $projekt) : ?>
                   <a href="<?php echo get_permalink($projekt->ID); ?>">
                  <div class="projekt">
                    <div class="bg-projekt"></div>
                          <h4 class="projekt-tytul">
                                  <?php echo $projekt->post_title ?>
                          </h4>
                          <?php echo get_the_post_thumbnail( $projekt->ID, 'medium'); ?>
                  </div>
                  </a>
                  <?php endforeach; ?>
                  </div>
              </div>
            <?php endforeach;
          endif; ?>
        </div>
         <!-- HTML END DESIGN HERE -->
       <?php
     }
   
   }
